package com.dayou.service.impl;

import com.dayou.entity.TeamMember;
import com.dayou.mapper.TeamMemberMapper;
import com.dayou.service.ITeamMemberService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 团队成员 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-04-07
 */
@Service
public class TeamMemberServiceImpl extends ServiceImpl<TeamMemberMapper, TeamMember> implements ITeamMemberService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<TeamMember> selectPage(Page page,TeamMember teamMember){
        return this.page(page, new QueryWrapper<TeamMember>(teamMember));
    }


    @Override
    public TeamMember detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(TeamMember teamMember){
        return  this.save(teamMember);
    }

    @Override
    public Boolean update(TeamMember teamMember){
        return  this.updateById(teamMember);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
